Bug 146480 - kernel time source instable
kernel time source instable
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-28 14:06 EST by Chris Ricker
Modified: 2015-01-04 17:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 168053 None None None Never

  None (edit)
Description Chris Ricker 2005-01-28 14:06:31 EST
I've got two identical Dell PowerEdge 2850s here running FC3 x86_64
that produce time source errors. With the 2.6.10-1.741_FC3smp kernel,
these two boxes both say:

Losing some ticks... checking if CPU frequency changed.
warning: many lost ticks.
Your time source seems to be instable or some driver is hogging interupts
rip _spin_unlock_irqrestore+0x2d/0x2e
Falling back to HPET

Modules loaded are:

Module                  Size  Used by
i2c_dev                13633  0 
i2c_core               27201  1 i2c_dev
video                  20041  0 
button                  9057  0 
battery                12105  0 
ac                      6729  0 
uhci_hcd               35433  0 
ehci_hcd               35401  0 
hw_random               7137  0 
e1000                  96021  0 
floppy                 65425  0 
sg                     42873  0 
dm_snapshot            18561  0 
dm_zero                 3649  0 
dm_mirror              24401  2 
ext3                  137297  2 
jbd                    66545  1 ext3
dm_mod                 65537  6 dm_snapshot,dm_zero,dm_mirror
megaraid_mbox          35409  2 
megaraid_mm            13185  1 megaraid_mbox
sd_mod                 19393  3 
scsi_mod              140409  3 sg,megaraid_mbox,sd_mod


These machines both have 2 real (4 virtual) 2.8GHz Xeons
Comment 1 Chris Ricker 2005-01-28 14:28:42 EST
Other dual (4 virtual) 2850s here running that same kernel don't show
this. The only hardware difference is that the 2 boxes showing this
message have a Intel e1000 PCI card added (in addition to the 2
on-board e1000s built in on the 2850s)

the onboard are:
06:07.0 Ethernet controller: Intel Corp. 82541GI/PI Gigabit Ethernet
Controller (rev 05)
07:08.0 Ethernet controller: Intel Corp. 82541GI/PI Gigabit Ethernet
Controller (rev 05)

the pci card is:
09:04.0 Ethernet controller: Intel Corp. 82543GC Gigabit Ethernet
Controller (Copper) (rev 02)


In addition, the 2 boxes showing this message are using LVM, which our
other 2850s are not

Those are the only hardware / driver differences between the 2 boxes
which display this and the multiple ones which don't.


Comment 2 EE CAP Admin 2005-06-07 08:30:39 EDT
We have the same error messages on our HP Proliant 360 running RHEL4-x86_64. 
Many thanks.
Comment 3 Dave Jones 2005-07-15 13:43:52 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Thomas Antony 2005-09-11 16:17:00 EDT
I can confirm this bug on FC4 and filed a new bug against FC4.
Comment 5 Dave Jones 2005-10-02 20:11:35 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.